using System;
using System.Globalization;

internal sealed class Delegate491 : MulticastDelegate
{
	public extern double Invoke(string string_0, NumberStyles numberStyles_0, IFormatProvider iformatProvider_0);

	public static double smethod_0(string string_0, NumberStyles numberStyles_0, IFormatProvider iformatProvider_0, Delegate491 delegate491_1)
	{
		return delegate491_1(string_0, numberStyles_0, iformatProvider_0);
	}

	public extern Delegate491(object object_0, IntPtr intptr_0);

	static Delegate491()
	{
		Class10.smethod_13(typeof(Delegate491).TypeHandle);
	}

	internal static Delegate491 delegate491_0;
}
